//
//  The contents of this file are subject to the Mozilla Public License
//  Version 1.0 (the "License"); you may not use this file except in
//  compliance with the License. You may obtain a copy of the License at
//  http://www.mozilla.org/MPL/
// 
//  Software distributed under the License is distributed on an "AS IS"
//  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
//  the License for the specific language governing rights and limitations
//  under the License.
// 
//  The Original Code is CPhone, a cross platform voip gui.
//
//  The Initial Developer of the Original Code is Derek Smithies.
//
//  Copyright (C) 2002 Indranet Technologies Ltd, 
//                                  http://www.indranet-technologies.com
//  All Rights Reserved.
//
//  Contributor(s): _______________


/*
 *
 *  $Log: settingsSub.h,v $
 *  Revision 1.3  2003/05/09 03:08:24  dereksmithies
 *  Fix Microtelco handling, and message display
 *
 *  Revision 1.2  2003/04/04 04:37:49  dereksmithies
 *  Major upgrade.
 *  Ixj & microtelco support added. Fix threading issues.
 *
 *  Revision 1.1.1.1  2002/05/12 22:55:05  dereksmithies
 *  Initial release.
 *
 *
 *
 *
 */

#ifndef SETTINGSSUB_H
#define SETTINGSSUB_H
#include <ptlib.h>
#include "cpendpoint.h"
#include "settings.h"
#include "mainwindowSub.h"

class QListviewItem;

class Settings : public FormConnectionSettings
{ 
 public:
    Settings(ConnectOptions & co);

    ~Settings();

   void closeEvent(QCloseEvent *e);   
    
   void AutoAnswer_slot();
   void BandwidthAudio_slot();
   void BandwidthVideo_slot();
   void CheckBoxDefaultAudioBandwidth_slot();
   void CheckBoxDefaultVideoBandwidth_slot();
   void DisableFastStart_slot();
   void DisableH245Tunneling_slot();
   void GatekeeperName_slot();
   void LineEditNatTraversalChanged_Slot();
   void MakeCodecActive_slot();
   void MakeCodecDormant_slot();
   void MicroTelcoAccountChanged_Slot();
   void MicroTelcoPasswordChanged_Slot();
   void MoveCodecDown_slot();
   void MoveCodecUp_slot();
   void OnConnectionEstablished(bool isEstablished);
   void PacketUtilization_slot();
   void PushButtonMicroTelcoSlot();
   void PushButtonNatTraversal_Slot();
   void SearchForAGatekeeper_slot();
   void UserName_slot();
   void customEvent(QCustomEvent *e);
   void SpinBoxLowUdp_Slot();
   void SpinBoxHighUdp_Slot();
   void timerEvent(QTimerEvent *);

 protected:
   void InitialiseCodecSettings();
   void SaveCodecSettings();
   void UpdateCurrentGatekeeperText();
   void UpdateMicroTelcoText();

   QListViewItem * FindThisCodec(QString sourceCodec);
   void AddItemToList(QListView *srcList, PString label);
   PStringList GetSelectedCapabilities();
   BOOL isNameInCodecList(PString name, QListView *srcList);
   void DisplayMessage(const char * message);
   void DisplayMessage(PString message);
   void DisplayMessage(QString message);
   void Setup();
   
 private: 
   ConnectOptions & connectOpts;

   PStringList codecKeys;
      
   bool    controlsSet;

   PString microTelcoAccount;
   PString microTelcoPassword;
};

#endif // SETTINGSSUB_H


