//
//  The contents of this file are subject to the Mozilla Public License
//  Version 1.0 (the "License"); you may not use this file except in
//  compliance with the License. You may obtain a copy of the License at
//  http://www.mozilla.org/MPL/
// 
//  Software distributed under the License is distributed on an "AS IS"
//  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
//  the License for the specific language governing rights and limitations
//  under the License.
// 
//  The Original Code is CPhone, a cross platform voip gui.
//
//  The Initial Developer of the Original Code is Derek Smithies.
//
//  Copyright (C) 2002 Indranet Technologies Ltd, 
//                                  http://www.indranet-technologies.com
//  All Rights Reserved.
//
//  Contributor(s): _______________


/*
 *
 *  $Log: videopropertiesSub.h,v $
 *  Revision 1.2  2003/04/04 04:37:49  dereksmithies
 *  Major upgrade.
 *  Ixj & microtelco support added. Fix threading issues.
 *
 *  Revision 1.1.1.1  2002/05/12 22:55:05  dereksmithies
 *  Initial release.
 *
 *
 *
 *      
 */

#ifndef VIDEOPROPERTIES_H
#define VIDEOPROPERTIES_H
#include <ptlib.h>
#include "cpendpoint.h"
#include "videoproperties.h"
#include "mainwindowSub.h"

class VideoOptions;

class VideoProperties : public FormVideoProperties
{ 
public:
    VideoProperties(VideoOptions & vc);

    ~VideoProperties();

    void BrightnessChanged_slot();
    void ColourChanged_slot();
    void ContrastChanged_slot();
    void DisplayLocalVideo_slot();
    void FlipLocal_slot();
    void FlipReceived_slot();
    void HueChanged_slot();
    void InputChannel_slot();
    void InputDevice_slot();
    void LargeSize_slot();
    void ReceiveQuality_slot();
    void TransmitQuality_slot();
    void VideoFormatChanged_slot();
    void WhitenessChanged_slot();


    void closeEvent(QCloseEvent *e);
    void customEvent(QCustomEvent *ce);

 private:
    void Setup();

    VideoOptions & videoConfig;
    bool  controlsSet;
};



#endif // VIDEOPROPERTIES_H
